eID middleware |

# be.portugal.eid.PTEID_SISCard Class Reference

This class represents a SIS card. More...

Inheritance diagram for be.portugal.eid.PTEID_SISCard:

List of all members.

## Public Member Functions
synchronized void | delete ()
PTEID_XMLDoc | getDocument (PTEID_DocumentType type) throws java.lang.Exception
| Return a document from the card.
PTEID_SisFullDoc | getFullDoc () throws java.lang.Exception
| Get the full document.
PTEID_SisId | getID () throws java.lang.Exception
| Get the id document.
PTEID_ByteArray | getRawData (PTEID_RawDataType type) throws java.lang.Exception
| Return raw data from the card.
PTEID_ByteArray | getRawData_Id () throws java.lang.Exception
| Get the id RawData from the card.
## Protected Member Functions
| PTEID_SISCard (long cPtr, boolean cMemoryOwn)
void | finalize ()
## Static Protected Member Functions
static long | getCPtr (PTEID_SISCard obj)

## Detailed Description

This class represents a SIS card.

To get this object: PTEID_ReaderContext.getSISCard()

## Constructor & Destructor Documentation

be.portugal.eid.PTEID_SISCard.PTEID_SISCard | ( | long | cPtr,
|  | boolean | cMemoryOwn |
| ) |  |  | `[protected]`

## Member Function Documentation

synchronized void be.portugal.eid.PTEID_SISCard.delete | ( |  | ) |

Reimplemented from be.portugal.eid.PTEID_MemoryCard.

References be.portugal.eid.PTEID_Object.swigCMemOwn.

void be.portugal.eid.PTEID_SISCard.finalize | ( |  | ) | `[protected]`

Reimplemented from be.portugal.eid.PTEID_MemoryCard.

static long be.portugal.eid.PTEID_SISCard.getCPtr | ( | PTEID_SISCard | obj | ) | `[static, protected]`

References be.portugal.eid.PTEID_SISCard.swigCPtr.

PTEID_XMLDoc be.portugal.eid.PTEID_SISCard.getDocument | ( | PTEID_DocumentType | type | ) | throws java.lang.Exception

Return a document from the card.

Throws PTEID_ExDocTypeUnknown exception if the document doesn't exist for this card

Reimplemented from be.portugal.eid.PTEID_Card.

PTEID_SisFullDoc be.portugal.eid.PTEID_SISCard.getFullDoc | ( |  | ) | throws java.lang.Exception

Get the full document.

PTEID_SisId be.portugal.eid.PTEID_SISCard.getID | ( |  | ) | throws java.lang.Exception

Get the id document.

PTEID_ByteArray be.portugal.eid.PTEID_SISCard.getRawData | ( | PTEID_RawDataType | type | ) | throws java.lang.Exception

Return raw data from the card.

Throws PTEID_ExFileTypeUnknown exception if the document doesn't exist for this card

Reimplemented from be.portugal.eid.PTEID_Card.

PTEID_ByteArray be.portugal.eid.PTEID_SISCard.getRawData_Id | ( |  | ) | throws java.lang.Exception

Get the id RawData from the card.